class RobotChatModel {
  var msgContent;
  int extraInfo;
  bool isMe;
  int type;//0文本，1声音

  RobotChatModel({this.msgContent, this.extraInfo,this.isMe,this.type=0});

  fromJson(Map<String, dynamic> json) {
    msgContent = json['msgContent'];
  }
}

class RobotChatMgr {
  static RobotChatMgr _instance;

  static RobotChatMgr _getInstance() {
    if (_instance == null) {
      _instance = RobotChatMgr._();
    }
    return _instance;
  }

  factory RobotChatMgr() => _getInstance();

  RobotChatMgr._();

  List<RobotChatModel> robotChatList = [];

  addSource(RobotChatModel msg) {
    robotChatList.insert(0,msg);
  }

  addTranslate(RobotChatModel msg) {
    robotChatList.insert(0,msg);
  }
}
